Memcached::setMulti
Memcached::setOption
Memcached
PHP Manual

# Memcached::setMultiByKey

(PECL memcached >= 0.1.0)

Memcached::setMultiByKey — Store multiple items on a specific server

### Description

public bool Memcached::setMultiByKey ( string `$server_key` , array `$items` [, int `$expiration` ] )

Memcached::setMultiByKey() is functionally equivalent to Memcached::setMulti(), except that the free-form `server_key` can be used to map the keys from `items` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parameters

`server_key`

  The key identifying the server to store the value on or retrieve it from. Instead of hashing on the actual key for the item, we hash on the server key when deciding which memcached server to talk to. This allows related items to be grouped together on a single server for efficiency with multi operations.

`items`

  An array of key/value pairs to store on the server.

`expiration`

  The expiration time, defaults to 0. See Expiration Times for more info.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. Use Memcached::getResultCode() if necessary.

### See Also

- Memcached::setMulti() - Store multiple items
- Memcached::set() - Store an item

Memcached::setMulti
Memcached::setOption
Memcached
PHP Manual